#include<bits/stdc++.h>
using namespace std;
string s;
char f[20];
int main(){
	int tot=0;
	cin>>s;
	for(int i=0;i<s.size();i++){
		if(s[i]=='B'){
			if(tot>0)tot--;
		}
		else f[++tot]=s[i];
	}
	for(int i=1;i<=tot;i++)
	cout<<f[i];
	cout<<"\n";
	return 0;
}